Subject: Re: New Photos for ARC Walkaround Site
From: "Steve Bamford" <[email-masked]>
To: <[email-masked]>
Date: Mon, 25 Sep 2000 11:47:32 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
----- Original Message -----
From: <[email-masked]>
To: Steve Bamford <[email-masked]>
Sent: Thursday, September 21, 2000 2:46 PM
Subject: New Photos for ARC Walkaround Site

>
>
> Steve,
>
> As promised, I've attached a ZIP file containg some detailed photos of the
> Sikorsky (HH)MH-60G.  I still have more to scan but this is a sampler.
More to
> follow.
> (See attached file: (HH)MH-60G Photos.zip)
> I hope it is well received by your readers.
>
> Regards,
>
> Mike Block
>